Bug 198077 - Usb Adsl modem problems with kernel 2.6.17
Usb Adsl modem problems with kernel 2.6.17
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 03:31 EDT by Krzysztof Chmielewski
Modified: 2008-01-19 23:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Chmielewski 2006-07-09 03:31:01 EDT
Description of problem:
I'm using kernel mode driver speedtch for my usb adsl modem.
After upgrade to 2.6.17 kernels adsl modem speedtouch 330 (ver2) always
disconnets after a few minutes of connection. With kernels <= 2.6.16 everyting
works fine. I need to replug the modem and resume the connection.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2139_FC5
kernel-2.6.17-1.2145_FC5

How reproducible:
Always

Steps to Reproduce:
1. Boot system (or replug modem)
2. Initialize connection: ifup int_name
3. Wait
  
Actual results:
After a few minutes connection dies and cannot be resumed.

Jul  8 17:52:31 mephik pppd[7796]: No response to 6 echo-requests
Jul  8 17:52:31 mephik pppd[7796]: Serial link appears to be disconnected.
Jul  8 17:52:31 mephik pppd[7796]: Connect time 20.4 minutes.
Jul  8 17:52:31 mephik pppd[7796]: Sent 4062034 bytes, received 30485024 bytes.
Jul  8 17:52:31 mephik pppd[7796]: Couldn't increase MTU to 1500. Using 1492
Jul  8 17:52:31 mephik pppd[7796]: Couldn't increase MRU to 1500. Using 1492
Jul  8 17:52:37 mephik pppd[7796]: Connection terminated.
Jul  8 17:52:37 mephik pppd[7796]: Modem hangup
Jul  8 17:52:37 mephik pppd[7796]: Exit. 
Jul  8 17:52:38 mephik adsl-connect: ADSL connection lost; attempting re-connection.
Jul  8 17:52:43 mephik pppd[8240]: Plugin pppoatm.so loaded. 
Jul  8 17:52:43 mephik pppd[8240]: PPPoATM plugin_init
Jul  8 17:52:43 mephik pppd[8240]: PPPoATM setdevname_pppoatm - SUCCESS:0.35 
Jul  8 17:52:43 mephik pppd[8240]: pppd 2.4.3 started by root, uid 0
Jul  8 17:52:43 mephik pppd[8240]: Using interface ppp0 
Jul  8 17:52:43 mephik pppd[8240]: Connect: ppp0 <--> 0.35
Jul  8 17:52:43 mephik pppd[8240]: Couldn't increase MTU to 1500. Using 1492 
Jul  8 17:52:43 mephik pppd[8240]: Couldn't increase MRU to 1500. Using 1492
Jul  8 17:53:13 mephik pppd[8240]: LCP: timeout sending Config-Requests 
Jul  8 17:53:13 mephik pppd[8240]: Connection terminated.
Jul  8 17:53:13 mephik pppd[8240]: connect(0.35): Address already in use 
Jul  8 17:53:13 mephik pppd[8240]: Exit.
Jul  8 17:53:13 mephik adsl-connect: ADSL connection lost; attempting
re-connection. 
Jul  8 17:53:18 mephik pppd[8261]: Plugin pppoatm.so loaded.
Jul  8 17:53:18 mephik pppd[8261]: PPPoATM plugin_init 
Jul  8 17:53:18 mephik pppd[8261]: PPPoATM setdevname_pppoatm - SUCCESS:0.35
Jul  8 17:53:18 mephik pppd[8261]: pppd 2.4.3 started by root, uid 0 
Jul  8 17:53:18 mephik pppd[8261]: Using interface ppp0
Jul  8 17:53:18 mephik pppd[8261]: Connect: ppp0 <--> 0.35 
Jul  8 17:53:18 mephik pppd[8261]: Couldn't increase MTU to 1500. Using 1492
Jul  8 17:53:18 mephik pppd[8261]: Couldn't increase MRU to 1500. Using 1492 
Jul  8 17:53:48 mephik pppd[8261]: LCP: timeout sending Config-Requests
Jul  8 17:53:48 mephik pppd[8261]: Connection terminated.
Jul  8 17:53:48 mephik pppd[8261]: connect(0.35): Address already in use
Jul  8 17:53:48 mephik pppd[8261]: Exit.
Jul  8 17:53:48 mephik adsl-connect: ADSL connection lost; attempting re-connection.
...

Expected results:


Additional info:
Comment 1 Pete Zaitcev 2006-07-09 13:36:51 EDT
The only way to identify the problem is to bisect kernel changes.
Comment 2 Pasha Pertsevoi 2006-07-24 09:26:29 EDT
It seems that it is the same as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=196560
Comment 3 Dave Jones 2006-10-16 13:18:45 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:36:26 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.